%define DISTRO %([ -f /etc/redhat-release ] && sed -e "s/\\(.\\+\\)\\( Linux release \\)\\(.\\+\\)\\( .\\+\\)/\\1 \\3/" /etc/redhat-release)
%define DISTRO_REL %([ -f /etc/redhat-release ] && sed -e "s/\\(.\\+ release \\)\\(.\\+\\)\\( .\\+\\)/\\2/" /etc/redhat-release)
%define REQ_RPM_REL %(rpm -q --queryformat "%{VERSION}" rpm)
%define GLIBC_REL %(rpm -q --queryformat "%{VERSION}" glibc)

%define name        apr
%define version     0.9.1
%define release     2
%define summary     The Apache Portable Runtime library
%define license     Apache Software License
%define vendor      Apache Software Foundation
%define ldconf      /etc/ld.so.conf

Name:		%{name}
Version: 	%{version}
Release: 	%{release}.%{DISTRO_REL}
Source:		http://apr.apache.org/dist/apr-%{version}.tar.gz
Source1: 	http://apr.apache.org/dist/apr-util-%{version}.tar.gz
Summary: 	%{summary}
License: 	%{licence}
Vendor:         %{vendor}
Group: 		Libraries
BuildRoot: 	%{_tmppath}/%{name}-root
Packager: 	Gomez Henri <hgomez@users.sourceforge.net>, Matthew L Daniel <mdaniel@scdi.com>

%description
The Apache Portable Run-time Util libraries have been designed to provide a common
interface to low level routines across any platform.

%package devel
Group: 		Development/Libraries
Summary:	includes and linker libraries for development with %{name}

%description devel
The includes and linker libraries for development with APR-UTIL.

%package util
Group:		Development/Libraries
Summary:	linker libraries for development with %{name}-util
Requires:	apr = %{version}

%description util
The libraries for development with APR-UTIL.


%prep
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%setup -c -T -a 0
%setup -T -D -a 1

%build
ln -s apr-%{version} apr
cd apr-%{version}
%{configure} --includedir=%{_includedir}/apr --libdir=%{_libdir}/apr
make
cd ../apr-util-%{version}
./buildconf
%{configure} --includedir=%{_includedir}/apr --libdir=%{_libdir}/apr --with-apr=../apr
make

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/apr
cd apr-%{version}
%{makeinstall} includedir=${RPM_BUILD_ROOT}%{_includedir}/apr libdir=${RPM_BUILD_ROOT}%{_libdir}/apr

# copy apr libtool
cp libtool ${RPM_BUILD_ROOT}%{_bindir}/apr-libtool

cd ../apr-util-%{version}
%{makeinstall} includedir=${RPM_BUILD_ROOT}%{_includedir}/apr libdir=${RPM_BUILD_ROOT}%{_libdir}/apr


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%post
if [ -f %{ldconf} ] ; then
    if ! grep -q '%{_libdir}/apr' %{ldconf} ; then
        cat >>%{ldconf}<<EOT
/usr/lib/apr
EOT
    fi
fi
/sbin/ldconfig

%postun
if [ -f %{ldconf} ] ; then
    cat %{ldconf} | grep -v "%{_libdir}/apr" > %{ldconf}.new
    mv %{ldconf} %{ldconf}.orig
    mv %{ldconf}.new %{ldconf}
fi
/sbin/ldconfig

%post util
/sbin/ldconfig

%postun util
/sbin/ldconfig

%files 
%defattr(-,root,root)
%doc %{name}-%{version}/docs/* %{name}-%{version}/APRDesign %{name}-%{version}/CHANGES %{name}-%{version}/STATUS %{name}-%{version}/README* %{name}-%{version}/renames_pending
%{_bindir}
%{_libdir}/apr/libapr-*.so*

%files devel
%defattr(-,root,root)
%{_includedir}/apr
%{_libdir}/apr/libapr-*.a

%files util
%defattr(-,root,root)
%{_libdir}/apr/libaprutil*.a
%{_libdir}/apr/libaprutil*.so*


%changelog
* Thu Oct 03 2002 Henri Gomez <hgomez@users.sourceforge.net>
- APR 0.9.1 rpm release 2
- correct libdir/bindir in apr-config and apu-config
- built on %{DISTRO} (glibc %{GLIBC_REL})

* Tue Oct 01 2002 Henri Gomez <hgomez@users.sourceforge.net>
- APR 0.9.1
- apr lib moved to /usr/lib/apr/ to avoid confusion with apr libs
  which could be provided by Apache 2.0 rpms
- ld.so.conf is updated to take care of /usr/lib/apr
- apr and apr-utils includes in apr-devel rpm
- apr shared in apr and static libs in apr-devel rpm
- apr util shared and static libs in apr-util rpm

* Tue Feb 19 2002 Henri Gomez <hgomez@users.sourceforge.net>
- APR from Apache 2_0_32
- moved apr includes to include/apr
- install APR_VARS in include/apr

* Mon May 14 2001 Henri Gomez <hgomez@users.sourceforge.net>
- .spec reorganization
- built under Redhat 6.2 with updates and rpm 3.0.5

* Mon May 14 2001 Matthew L Daniel <mdaniel@scdi.com>
- Initial RPM release 
